% z = normal1d(x, mean, variance)
%
% generate values for a 1D normal distribution
% copyright (c) 2008 by thilo stadelmann, stadelmann@informatik.uni-marburg.de

function z = normal1d(x, mean, variance)
     
m = length(x);
z = zeros(1, m);
c = 1/sqrt(2*pi*variance);
z = c .* exp(-0.5 .* (x-repmat(mean,1,m)).^2 ./ variance);
