% plotGMM1d(weights, means, variances, resolution, zero)
% 
% plots a 1d Gaussian mixture distribution
% copyright (c) 2008 by thilo stadelmann, stadelmann@informatik.uni-marburg.de

function plotGMM1d(weights, means, variances, resolution, zero)

if (nargin < 5)
    z = 0.0001;
else
    z = zero; 
end

deltaX = sqrt(-2.0 .* variances .* (repmat(log(z),length(variances),1) - log(1./sqrt(2.*pi.*variances)))); %this +- mean is the x-value where y reaches z, the minimum y-value to plot
minX = min(means-deltaX);
maxX = max(means+deltaX);

if (nargin <4)
    t = (abs(minX)+abs(maxX)) / 1000;    
else
    t = (abs(minX)+abs(maxX)) / resolution;
end

x = [minX : t : maxX];
data = gmm1D(x, weights, means, variances);
plot(x, data);
